## org.apache.poi.hdgf.chunks
Class ChunkFactory.CommandDefinition

    java.lang.Object
      org.apache.poi.hdgf.chunks.ChunkFactory.CommandDefinition

Enclosing class:
  ChunkFactory

    public class ChunkFactory.CommandDefinition

extends java.lang.Object

The definition of a Command, which a chunk may hold. The Command holds the value, this describes it.

Constructor Summary
`ChunkFactory.CommandDefinition(int type, int offset, java.lang.String name)`

Method Summary
`java.lang.String` `getName()`
`int` `getOffset()`
`int` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkFactory.CommandDefinition

    public ChunkFactory.CommandDefinition(int type,
                                          int offset,
                                          java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getOffset

    public int getOffset()

### getType

    public int getType()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.